Subject: bug#47720: closed (Re: bug#47720: bsnes build might be not reproducible)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Jun 2021 08:29:01 +0000

Your bug report

#47720: bsnes build might be not reproducible

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47720: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47720
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47720: bsnes build might be not reproducible
From: Efraim Flashner <[email-masked]>
To: Nicolò Balzarotti <[email-masked]>
Cc: [email-masked]
Date: Tue, 8 Jun 2021 11:27:08 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Seems this patch fell through the cracks. Patch pushed!

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: bsnes build might be not reproducible
From: Nicolò Balzarotti <[email-masked]>
To: [email-masked]
Date: Mon, 12 Apr 2021 10:01:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi guix,

I get an 'Illegal instruction' error when running bsnes (on my X200).

$ guix environment --ad-hoc bsnes
$ bsnes
Illegal instruction

The makefile contains this:
https://github.com/bsnes-emu/bsnes/blob/4ea984b6886ecb61afc26c177eeced77e8582a44/bsnes/GNUmakefile#L17
(march=native when local)

I tried to patch it, but I don't know how to check if this is fixed.

I attach the patch here, on my laptop applied over 073b12d70d I get

guix hash -r /gnu/store/h2k0la0cyilfj7y7vm9r2zs1vi3wkiwy-bsnes-115
0298ajc60qpjhllyqv8gdb503bzg0rcd7pvigq22h7gm58d0g0sd

Thanks!

>From 2707ecb0c39cd731344cb1f68d17662b7272b415 Mon Sep 17 00:00:00 2001
From: nixo <[email-masked]>
Date: Mon, 12 Apr 2021 09:42:13 +0200
Subject: [PATCH] gnu: bsnes: Disable march=native

---
 gnu/packages/emulators.scm | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gnu/packages/emulators.scm b/gnu/packages/emulators.scm
index 8482f679e2..09d6095a7d 100644
--- a/gnu/packages/emulators.scm
+++ b/gnu/packages/emulators.scm
@@ -1955,6 +1955,8 @@ from various forks of Gens, and improved platform portability.")
     (build-system gnu-build-system)
     (arguments
      `(#:make-flags (list "-C" "bsnes"
+                          ;; Remove march=native
+                          "local=false"
                           (string-append "prefix=" (assoc-ref %outputs "out")))
        #:tests? #f                      ; No tests.
        #:phases (modify-phases %standard-phases
-- 
2.31.1